## bugwarrior 1.7.0

=== bugwarrior/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Bugwarrior.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Bugwarrior.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Bugwarrior"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Bugwarrior"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## bugwarrior 1.4.0+git2016090101

=== debian/changelog ===
bugwarrior (1.4.0+git2016090101-1) unstable; urgency=medium

  * Updates upstream sources to git commit 8f78b877.
   - IOError is now caught when loading config (Closes: #830833)
  * Removed patch for BTS support - now merged upstream.
  * Refreshed patches removing the "extra" tests which are not supported by
    this package.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 03 Sep 2016 13:18:20 +0100

bugwarrior (1.4.0+git2016070901-2) unstable; urgency=medium

  * Fixes for BTS support:
   - Now allows to ignore bugs marked as pending.
   - Performs limited validation of configuration for the BTS service.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 26 Jul 2016 11:25:41 +0100

bugwarrior (1.4.0+git2016070901-1) unstable; urgency=medium

  * Initial release. (Closes: #810629)

 -- Iain R. Learmonth <irl@debian.org>  Sat, 09 Jul 2016 20:34:31 +0100

=== debian/control ===
Source: bugwarrior
Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-bugzilla,
               python-click,
               python-dateutil,
               python-dogpile.cache,
               python-jinja2 (>= 2.7.2),
               python-keyring,
               python-lockfile,
               python-mock,
               python-nose,
               python-offtrac,
               python-pycurl,
               python-requests,
               python-responses,
               python-setuptools,
               python-six,
               python-taskw,
               python-twiggy,
               python-tz,
               python-unittest2,
               python-xdg,
               python-debianbts,
               python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/bugwarrior.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/bugwarrior.git
Homepage: https://github.com/ralphbean/bugwarrior

Package: bugwarrior
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Pull tickets from bug trackers into taskwarrior
 bugwarrior is a command line utility for updating your local TaskWarrior
 database from your forge issue trackers.
 .
 It currently supports the following remote resources: GitHub (API v3), GitLab
 (API v3), BitBucket, Pagure, Bugzilla, Trac, Teamlab, Redmine, Debian BTS,
 Taiga, Gerrit, Phabricator and Versionone.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml bugwarrior/docs/ bugwarrior/docs/_build/html # HTML generator
	dh_auto_build

## bugwarrior 1.4.0+git2017010601

=== debian/changelog ===
bugwarrior (1.4.0+git2017010601-1) unstable; urgency=medium

  * Updates upstream sources to git commit 3800af7.
  * Now using Python 3, no longer Python 2.
  * Removes unnecessary dependency on python-twiggy (Closes: #847395)
  * Moves dependency on python-keyring to Recommends as this is now an optional
    dependency.
  * Adds a new dependency on python-future as upstream is porting to Python 3.
  * The tests run in debian/rules now use a created home directory and UTF-8
    as is now required in this new upstream version.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 09 Jan 2017 21:30:36 +0000

=== debian/control ===
Source: bugwarrior
Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-bugzilla,
               python3-click,
               python3-dateutil,
               python3-dogpile.cache,
               python3-future,
               python3-jinja2 (>= 2.7.2),
               python3-lockfile,
               python3-mock,
               python3-nose,
               python3-offtrac,
               python3-pycurl,
               python3-requests,
               python3-responses,
               python3-setuptools,
               python3-six,
               python3-taskw,
               python3-tz,
               python3-unittest2,
               python3-xdg,
               python3-debianbts,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/bugwarrior.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/bugwarrior.git
Homepage: https://github.com/ralphbean/bugwarrior

Package: bugwarrior
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-keyring
Description: Pull tickets from bug trackers into taskwarrior
 bugwarrior is a command line utility for updating your local TaskWarrior
 database from your forge issue trackers.
 .
 It currently supports the following remote resources: GitHub (API v3), GitLab
 (API v3), BitBucket, Pagure, Bugzilla, Trac, Teamlab, Redmine, Debian BTS,
 Taiga, Gerrit, Phabricator and Versionone.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml bugwarrior/docs/ bugwarrior/docs/_build/html # HTML generator
	dh_auto_build

override_dh_auto_test:
	mkdir test_home
	HOME=`pwd`/test_home LC_ALL=C.UTF-8 python3.5 -m nose

override_dh_auto_clean:
	-rm -rf test_home
	dh_auto_clean

## bugwarrior 1.5.1

=== debian/changelog ===
bugwarrior (1.5.1-2) unstable; urgency=medium

  * debian/rules:
   - Use python3 not python3.5 for tests (Closes: #873345)

 -- Iain R. Learmonth <irl@debian.org>  Wed, 30 Aug 2017 22:30:48 +0100

bugwarrior (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * debian/control:
   - Added python3-phabricator to Recommends (Closes: #872455)
   - Updated Standards-Version to 4.0.1
  * debian/patches:
   - Refreshed remove_extra_tests.patch
   - Added add_sphinx_conf.patch to include Sphinx documentation
     that was removed from the PyPI distribution
  * debian/copyright:
   - Fixed a typo in the path name for the Jira service file

 -- Iain R. Learmonth <irl@debian.org>  Mon, 21 Aug 2017 12:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                python3-xdg,
                python3-debianbts,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/bugwarrior.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/bugwarrior.git
 Homepage: https://github.com/ralphbean/bugwarrior
@@ -37,7 +37,8 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          ${sphinxdoc:Depends}
-Recommends: python3-keyring
+Recommends: python3-keyring,
+            python3-phabricator
 Description: Pull tickets from bug trackers into taskwarrior
  bugwarrior is a command line utility for updating your local TaskWarrior
  database from your forge issue trackers.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_test:
 	mkdir test_home
-	HOME=`pwd`/test_home LC_ALL=C.UTF-8 python3.5 -m nose
+	HOME=`pwd`/test_home LC_ALL=C.UTF-8 python3 -m nose
 
 override_dh_auto_clean:
 	-rm -rf test_home

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/bugwarrior/bugwarrior-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## bugwarrior 1.6.0

=== debian/changelog ===
bugwarrior (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Unpin future version (Closes: #921777)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Feb 2019 20:49:00 +0100

bugwarrior (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Cheers pick upstream patches for Jira

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Jan 2019 11:19:47 +0100

bugwarrior (1.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Iain R. Learmonth ]
  * Update the team email address

  [ Jochen Sprickerhof ]
  * Switch watch file to Github
  * New upstream version 1.6.0 (Closes: #918119)
  * Drop patches merged upstream
  * Add patch to disable tests of unsupported services
  * Disable tests that need internet connection
  * Add patch for doc installation
  * Update Vcs URLs to Salsa
  * Bump policy and debhelper versions
  * Depend/Recommend python3-googleapi and python3-jira (Closes: #887125)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Jan 2019 21:54:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: bugwarrior
-Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
+Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-bugzilla,
@@ -11,7 +11,9 @@
                python3-dateutil,
                python3-dogpile.cache,
                python3-future,
+               python3-googleapi,
                python3-jinja2 (>= 2.7.2),
+               python3-jira,
                python3-lockfile,
                python3-mock,
                python3-nose,
@@ -27,9 +29,10 @@
                python3-xdg,
                python3-debianbts,
                python3-sphinx
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/bugwarrior.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/bugwarrior.git
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/tasktools-team/bugwarrior
+Vcs-Git: https://salsa.debian.org/tasktools-team/bugwarrior.git
 Homepage: https://github.com/ralphbean/bugwarrior
 
 Package: bugwarrior
@@ -38,7 +41,9 @@
          ${misc:Depends},
          ${sphinxdoc:Depends}
 Recommends: python3-keyring,
-            python3-phabricator
+            python3-phabricator,
+            python3-googleapi,
+            python3-jira,
 Description: Pull tickets from bug trackers into taskwarrior
  bugwarrior is a command line utility for updating your local TaskWarrior
  database from your forge issue trackers.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,7 @@
 	dh_auto_build
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir test_home
-	HOME=`pwd`/test_home LC_ALL=C.UTF-8 python3 -m nose
-
-override_dh_auto_clean:
-	-rm -rf test_home
-	dh_auto_clean
+	HOME=`pwd`/test_home LC_ALL=C.UTF-8 python3 -m nose -v tests
+endif

## bugwarrior 1.7.0

=== debian/changelog ===
bugwarrior (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * rebase patches
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jul 2019 21:53:34 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-debianbts,
                python3-sphinx
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/tasktools-team/bugwarrior
 Vcs-Git: https://salsa.debian.org/tasktools-team/bugwarrior.git
 Homepage: https://github.com/ralphbean/bugwarrior

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bugwarrior-$1.tar.gz%" \
    https://github.com/ralphbean/bugwarrior/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bugwarrior 1.8.0

=== debian/changelog ===
bugwarrior (1.8.0-7) unstable; urgency=medium

  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 07:52:01 +0100

bugwarrior (1.8.0-6) unstable; urgency=medium

  * Move Built-Using to binary package
  * Add upstream source
  * Switch to pytest
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Aug 2022 17:12:01 +0200

bugwarrior (1.8.0-5) unstable; urgency=medium

  * Skip test failing on reproducible-builds
  * Add ${sphinxdoc:Built-Using}

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 05 Jan 2021 22:41:59 +0100

bugwarrior (1.8.0-4) unstable; urgency=medium

  * Move to new tracker.d.o team (Closes: #979217)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Jan 2021 13:57:43 +0100

bugwarrior (1.8.0-3) unstable; urgency=medium

  * Switch to upstream patch for MultipleMatches exception
  * Add patch for reproducible builds

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Jan 2021 10:07:25 +0100

bugwarrior (1.8.0-2) unstable; urgency=medium

  * Add patch for MultipleMatches exception

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 29 Dec 2020 13:53:46 +0100

bugwarrior (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * rebase patches
  * Add patch for old python3-google-auth
  * update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 Dec 2020 17:01:43 +0100

bugwarrior (1.7.0-3) unstable; urgency=medium

  * Adopt package from Iain, thanks for maintaining it.
  * Add patches for Jira
  * bump policy version and some cleanup

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 22 Sep 2020 22:49:11 +0200

bugwarrior (1.7.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Jochen Sprickerhof ]
  * Add patches from upstream git
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Apr 2020 14:37:15 +0200

=== debian/control ===
Source: bugwarrior
Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3-all,
               python3-bugzilla,
               python3-click,
               python3-dateutil,
               python3-dogpile.cache,
               python3-future,
               python3-googleapi,
               python3-google-auth-oauthlib,
               python3-jinja2,
               python3-jira,
               python3-lockfile,
               python3-mock,
               python3-offtrac,
               python3-pytest,
               python3-requests,
               python3-responses,
               python3-setuptools,
               python3-six,
               python3-taskw,
               python3-tz,
               python3-xdg,
               python3-debianbts,
               python3-sphinx,
               python3-phabricator,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/tasktools-team/bugwarrior
Vcs-Git: https://salsa.debian.org/tasktools-team/bugwarrior.git
Homepage: https://github.com/ralphbean/bugwarrior
Testsuite: autopkgtest-pkg-pybuild

Package: bugwarrior
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-pypandoc,
            python3-keyring,
            python3-phabricator,
            python3-googleapi,
            python3-google-auth-oauthlib,
            python3-jira,
Built-Using: ${sphinxdoc:Built-Using}
Description: Pull tickets from bug trackers into taskwarrior
 bugwarrior is a command line utility for updating your local TaskWarrior
 database from your forge issue trackers.
 .
 It currently supports the following remote resources: ActiveCollab, Bitbucket,
 Bugzilla, Debian, Gerrit, GitHub, GitLab, Gmail, Jira, Megaplan, Pagure,
 Phabricator, Pivotal Tracker, RedMine, Taiga, TeamLab, Trac, Trello,
 Versionone, YouTrack.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bugwarrior-$1.tar.gz%" \
    https://github.com/ralphbean/bugwarrior/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
